# xarray.DataArray.to_dataset

`DataArray.``to_dataset`(dim: Hashable = None, *, name: Hashable = None) → xarray.core.dataset.Dataset

  Convert a DataArray to a Dataset.

  Parameters:

  - dim (hashable, optional) – Name of the dimension on this array along which to split this array into separate variables. If not provided, this array is converted into a Dataset of one variable.
  - name (hashable, optional) – Name to substitute for this array’s name. Only valid if `dim` is not provided.

  Returns: | dataset
  Return type: | Dataset